Loading...
Searching...
No Matches
zero_copy.hpp File Reference
`#include <uhd/config.hpp>`
`#include <uhd/utils/noncopyable.hpp>`
`#include <boost/intrusive_ptr.hpp>`
`#include <boost/smart_ptr/detail/atomic_count.hpp>`
`#include <boost/utility.hpp>`
`#include <memory>`
Include dependency graph for zero_copy.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | uhd::transport::managed_buffer
| Simple managed buffer with release interface. More...
class | uhd::transport::managed_recv_buffer
class | uhd::transport::managed_send_buffer
struct | uhd::transport::zero_copy_xport_params
class | uhd::transport::zero_copy_if

## Namespaces

namespace | uhd
namespace | uhd::transport

## Functions

UHD_INLINE void | uhd::transport::intrusive_ptr_add_ref (managed_buffer *p)
UHD_INLINE void | uhd::transport::intrusive_ptr_release (managed_buffer *p)